GearmanClient::addTaskLow
GearmanClient::addTaskStatus
GearmanClient
PHP Manual

# GearmanClient::addTaskLowBackground

Add a low priority background task to be run in parallel

### Description

public GearmanTask GearmanClient::addTaskLowBackground ( string `$function_name` , string `$workload` [, mixed `&$context` [, string `$unique` ]] )

Adds a low priority background task to be run in parallel with other tasks. Call this method for all the tasks to be run in parallel, then call GearmanClient::runTasks to perform the work. Tasks with a low priority will be selected from the queue after those of normal or high priority.

### Parameters

`function_name`

  A registered function the worker is to execute

`workload`

  Serialized data to be processed

`context`

  Application context to associate with a task

`unique`

  A unique ID used to identify a particular task

### Return Values

A GearmanTask object or `FALSE` if the task could not be added.

### See Also

- GearmanClient::addTask
- GearmanClient::addTaskHigh
- GearmanClient::addTaskLow
- GearmanClient::addTaskBackground
- GearmanClient::addTaskHighBackground
- GearmanClient::runTasks